Name:          OpenSP
Version:       1.5.2
Release:       5mamba
Summary:       A suite of SGML processing tools
Group:         Applications/Publishing
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://openjade.sourceforge.net/
Source:        http://downloads.sourceforge.net/sourceforge/openjade/%{name}-%{version}.tar.gz
Patch0:        OpenSP-1.5.1-LITLEN-1.patch
Patch1:        OpenSP-1.5.1-gcc34-1.patch
Patch2:        OpenSP-1.5.1-gcc41.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libe2fs-devel
BuildRequires: libgcc
BuildRequires: libkrb5-devel
BuildRequires: libnsl-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtirpc-devel
## AUTOBUILDREQ-END
BuildRequires: sgml-common
BuildRequires: xmlto
Requires:      libosp = %{version}-%{release}

%description
A suite of SGML processing tools.

%package -n libosp
Summary:       Libraries for OpenSP
Group:         System/Libraries
Provides:      libOpenSP
Obsoletes:     libOpenSP < 1.5.2-5mamba

%description -n libosp
OpenSP is a suite of SGML processing tools.
This package contains the system libraries.

%package -n libosp-devel
Summary:       Devel package for OpenSP
Group:         Development/Libraries
Requires:      libosp = %{version}-%{release}
Provides:      libOpenSP-devel
Obsoletes:     libOpenSP-devel < 1.5.2-5mamba

%description -n libosp-devel
OpenSP is a suite of SGML processing tools.
This is the devel package.

%debug_package

%prep
%setup -q -n OpenSP-%{version}
%patch0 -p1 
sed -i "s,| arm-\*  |,| aarch64-\* | arm-\*  |," config.sub
#%patch1 -p1 
#%patch2 -p1

%build
%configure \
   --enable-http \
   --enable-xml-messages \
   --enable-default-catalog=/etc/sgml/catalog \
   --enable-default-search-path=%{_datadir}/sgml:%{_datadir}/xml \
   --enable-xml-messages

%make
#pkgdatadir=%{_datadir}/sgml/OpenSP-%{version}

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall
#pkgdatadir=%{_datadir}/sgml/OpenSP-%{version}

ln -s onsgmls %{buildroot}%{_bindir}/nsgmls
ln -s osgmlnorm %{buildroot}%{_bindir}/sgmlnorm
ln -s ospam %{buildroot}%{_bindir}/spam
ln -s ospcat %{buildroot}%{_bindir}/spcat
ln -s ospent %{buildroot}%{_bindir}/spent
#ln -s osx %{buildroot}%{_bindir}/sx
ln -s osx %{buildroot}%{_bindir}/sgml2xml
ln -s libosp.so %{buildroot}%{_libdir}/libsp.so

%find_lang sp5

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/onsgmls
%{_bindir}/osgmlnorm
%{_bindir}/ospam
%{_bindir}/ospcat
%{_bindir}/ospent
%{_bindir}/osx
%{_bindir}/nsgmls
%{_bindir}/sgml2xml
%{_bindir}/sgmlnorm
%{_bindir}/spam
%{_bindir}/spcat
%{_bindir}/spent
#%{_bindir}/sx
%dir %{_datadir}/doc/OpenSP
%{_datadir}/doc/OpenSP/*
%dir %{_datadir}/OpenSP
%{_datadir}/OpenSP/*
%{_mandir}/man1/*

%files -n libosp -f sp5.lang
%defattr(-,root,root)
%{_libdir}/libosp.so.*

%files -n libosp-devel
%defattr(-,root,root)
%dir %{_includedir}/OpenSP
%{_includedir}/OpenSP/*.h
%{_includedir}/OpenSP/*.cxx
%{_libdir}/libosp.a
%{_libdir}/libosp.la
%{_libdir}/libosp.so
%{_libdir}/libsp.so

%changelog
* Tue Jun 01 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.2-5mamba
- rebuilt with %{_datadir}/xml added to --enable-default-search-path and --enable-xml-messages; remove pkgdatadir in make

* Fri Nov 27 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.2-4mamba
- build require sgml-common, added debug package

* Wed Dec 01 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.2-3mamba
- fix sgmlnorm symlink to osgmlnorm

* Sun Apr 11 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.2-2mamba
- rebuilt with libxml2 2.7.7

* Fri Feb 06 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.2-1mamba
- automatic update by autodist

* Wed Sep 24 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.1-5mamba
- move pkgdatadir into /usr/share/sgml

* Wed Jun 04 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.1-4mamba
- specfile updated
- added nsgmls symlink to onsgmls
- rename libOpenSP[-devel] to libosp[-devel]

* Fri May 13 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.1-3qilnx
- rebuilt with default SGML search path

* Fri May 13 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.1-2qilnx
- rebuilt with system default SGML catalog set (/etc/sgml/catalog)

* Fri Feb 25 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.1-1qilnx
- update to version 1.5.1 by autospec
- specfile Group entry fix

* Thu Dec 11 2003 Davide Madrisan <davide.madrisan@qilinux.it> 1.5-2qilnx
- added missing RPM requirement

* Wed Nov 19 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5-1qilnx
- first build
